%define name impressive
%define sname Impressive
%define version 0.10.5
%define release %mkrel 1


Summary:    	PDF presentation slides with style.
Name:       	%{name}
Version:    	%{version}
Release:    	%{release}
Group:      	Office
License:    	GPLv2
URL:        	http://impressive.sourceforge.net/
Source0:    	http://sourceforge.net/projects/impressive/files/%{sname}-%{version}.tar.xz
Source1:    	%{name}.png
BuildRoot:  	%{_tmppath}/%{name}-%{version}-root
BuildArch:  	noarch
BuildRequires:	python-pillow-devel
Requires:   	python >= 2.7
Requires:   	python-opengl
Requires:   	pygame
Requires:   	xdg-utils 	
Requires:   	python-pillow
Requires:   	ghostscript
Requires:   	mplayer
Obsoletes:  	%name < %version

%description
Impressive is a program that displays PDF presentation slides
with style. Smooth alpha-blended slide transitions are provided
for the sake of eye candy, but in addition to this, Impressive
offers some unique tools that are very useful for presentations.

%prep

%setup -q -n %{sname}-%{version}


%install
rm -rf %{buildroot}
#data
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -af {%{name}.py,*.html,*.pdf} %{buildroot}/%{_datadir}/%{name}

#icons
mkdir -p %buildroot/{%_miconsdir,%_liconsdir,%_iconsdir}
convert  %SOURCE1 -resize 16x16 %buildroot/%{_miconsdir}/%{name}.png
convert %SOURCE1 -resize 32x32 %buildroot/%{_iconsdir}/%{name}.png
convert %SOURCE1 -resize 48x48 %buildroot/%{_liconsdir}/%{name}.png

#man
mkdir -p %buildroot/%_datadir/man/man1
cp -af %{name}.1 %buildroot/%_datadir/man/man1

#launcher
mkdir -p %buildroot%_bindir/
cat > %buildroot%_bindir/%{name} << EOF
#!/bin/sh
if [ -f "\$1" ]
  then
    python /usr/share/impressive/impressive.py \$1
  else
    python /usr/share/impressive/impressive.py /usr/share/impressive/demo.pdf
fi
EOF

chmod a+x %{buildroot}%{_bindir}/%{name}

# menu-entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Version=1.0
Name=Impressive
Comment=PDF presentation slides with style.
Exec=%{name} %U
Icon=%{_liconsdir}/%{name}.png
Terminal=0
Type=Application
Categories=Office;X-MandrivaLinux-Office-Presentations;
EOF


%clean
rm -rf %{buildroot}


%post
%{update_menus}


%postun
%{clean_menus}

%files
%defattr(-,root,root,0755)
%doc *.txt *.html
%_bindir/%{name}
%_datadir/%{name}
%_datadir/applications/%{name}.desktop
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%_datadir/man/man1/*

%changelog
* Mon Jul 28 2014 gseaman <galen.seaman at comcast.net> 0.10.5-1gseaman2014
- 0.10.5
- fixed startup script to run the demo only if no argument on the command line
- fixed .desktop file to allow program to be selected for opening pdfs
- needs fixed - cannot open files with spaces in their names

* Sat Aug 17 2013 billybot <billybot> 0.10.3-2pclos2013-
 update python 2.7
 
* Fri Jul 5 2013 Ken <lxgator at gmail.com> 0.10.3-1pclos2013
- initial build
